Resolve "Fix CMake warnings regarding compatibility with older versions"

Closes #282

Merge request reports